{config, ...}: {
  sops.secrets."k3s-token" = {
    sopsFile = ../../../secrets/k3s-token.txt;
    format = "binary";
  };

  services.k3s = {
    enable = true;
    role = "agent";
    serverAddr = "https://silver.int.min.rip:6443";
    tokenFile = config.sops.secrets."k3s-token".path;
  };
}
